Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class PlaceholderPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.layout.PlaceholderPresentationContext

All Implemented Interfaces
  Serializable

    public class PlaceholderPresentationContext

extends PresentationContext

Used to provide access to presentation-related attributes specific to the `Placeholder` in use. Typically used during portal rendering via look and feel skeleton files (specifically: JSPs used in layout components, e.g. gridlayout.jsp).

See Also
  `getPlaceholderPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Method Summary
`String` | `getFlow()` Returns the text of the flow attribute for this `Placeholder` portal component.
`LayoutPresentationContext` | `getParentLayoutPresentationContext()` This method returns this `PlaceholderPresentationContext`'s parent `LayoutPresentationContext`.
`static PlaceholderPresentationContext` | `getPlaceholderPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only PlaceholderPresentationContext for a given `Placeholder` portal component.
`String` | `getTitle()` Returns the text of the title attribute for this `Placeholder` portal component.
`String` | `getWidth()` Returns the value of the width attribute for this `Placeholder` portal component.
`boolean` | `isImplicitPlaceholder()` This attribute is used to indicate whether this `Placeholder` was created implicitely to handle 'usingFlow' duties, or explicitely by a control.
`boolean` | `isUsingFlow()` Returns the value of the isUsingFlow attribute for this `Placeholder` portal component.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### getTitle

    public String getTitle()

  Returns the text of the title attribute for this `Placeholder` portal component.

  Returns
    The text of the title attribute as a String, if any

### getFlow

    public String getFlow()

  Returns the text of the flow attribute for this `Placeholder` portal component. The flow attribute can be either `FlowLayout.ORIENT_HORIZONTAL` or `FlowLayout.ORIENT_VERTICAL`.

  Returns
    The text of the flow attribute as a String, if any
  See Also
    `FlowLayout.ORIENT_HORIZONTAL`, `FlowLayout.ORIENT_VERTICAL`

### isUsingFlow

    public boolean isUsingFlow()

  Returns the value of the isUsingFlow attribute for this `Placeholder` portal component. If true, a `FlowLayout` will be used within this `Placeholder` to manage its contents.

  Returns
    The value of the isUsingFlow attribute; if unspecified, defaults to true

### getWidth

    public String getWidth()

  Returns the value of the width attribute for this `Placeholder` portal component. The width attribute can be used to set the width of a <td> HTML element within a layout JSP, for example.

  Returns
    The value of the width attribute, if any

### isImplicitPlaceholder

    public boolean isImplicitPlaceholder()

  This attribute is used to indicate whether this `Placeholder` was created implicitely to handle 'usingFlow' duties, or explicitely by a control.

  Returns
    true if this `Placeholder` was created implicitely, false otherwise.

### getParentLayoutPresentationContext

    public LayoutPresentationContext getParentLayoutPresentationContext()

  This method returns this `PlaceholderPresentationContext`'s parent `LayoutPresentationContext`.

  Returns
    This `PlaceholderPresentationContext`'s parent `LayoutPresentationContext`, or null if one doesn't exist.

### getPlaceholderPresentationContext

    public static PlaceholderPresentationContext getPlaceholderPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only PlaceholderPresentationContext for a given `Placeholder` portal component. Note this method will only work if called from within a portal (typically, from within a *layout.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current PlaceholderPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.